Program Entries

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Program Entries method returns an array of entry objects for a program and may be filtered to return either a start list (default) or wait list. Entries are contained within the entries array and are composed of a basic entry objects which include a basic athlete object plus additional information such as start_num.

Wait list entries have an optional notes field that can indicate certain reasons or contain disclaimers. For wait lists the wait_posindicates the athlete's position on the wait list which determines the order of inclusion on the start list.

The approved boolean indicates whether this entry has been confirmed and the athlete is on the start list or still on the wait list. Clearly all entries with type start will be approved and all entries with type wait will not be approved.

In addition the method will return a full program object and basic event object such that complete start list pages may be derived from a single API call such as those used on the World Triathlon Series site.

📘

Wait list Availability

Wait lists are only publicly available 30 days before the start of the event. Before that time if the wait parameter type is specified a 403 unauthorized response will be returned.

The following example shows the start list of the 2014 World Triathlon Auckland (78726) Elite Women (264331). As the default type is start there is no need to specify this.

curl --header "apikey: [[app:key]]" https://api.triathlon.org/v1/events/78726/programs/264331/entries

To retrieve the waitlist for the same event (assuming we are less than 30 days before the event) the following API call could be used:

curl --header "apikey: [[app:key]]" https://api.triathlon.org/v1/events/78726/programs/264331/entries?type=wait

Team Entries

When the specified prog_id corresponds to a team program each entry will contain a basic team object which when applicable includes a team_members array of athlete objects. Therefore it is possible to view the overall team start lists together with a breakdown of all individual athletes comprising that team. Where no team members have been entered for the team the team_members object will be null.

{
   "code":200,
   "status":"success",
   "data":{
      "prog_id":271507,
      "event_id":91030,
      "prog_name":"4xMixed Relay",
      "prog_date":"2015-07-19",
      "prog_time":"16:51:00",
      "results":true,
      "team":true,
      "event":{
         "event_id":91030,
         "event_title":"2015 Hamburg ITU Triathlon Mixed Relay World Championships",
         "event_slug":"2015_hamburg_itu_triathlon_mixed_relay_world_championships",
         "event_edit_date":"2015-09-16T14:14:00+00:00",
         "event_venue":"Hamburg",
         "event_country":"Germany",
         "event_latitude":53.55108,
         "event_longitude":9.99368,
         "event_date":"2015-07-18",
         "event_finish_date":"2015-07-19",
         "event_country_isoa2":"DE",
         "event_country_noc":"GER",
         "event_region_id":10,
         "event_country_id":170,
         "event_region_name":"Europe",
         "event_categories":[
            {
               "cat_name":"World Championships",
               "cat_id":348,
               "cat_parent_id":0
            }
         ],
         "event_specifications":[
            {
               "cat_name":"Triathlon",
               "cat_id":357,
               "cat_parent_id":0
            },
            {
               "cat_name":"4xMixed Relay",
               "cat_id":380,
               "cat_parent_id":357
            }
         ],
         "event_flag":"https:\/\/f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com\/images\/icons\/de.png",
         "event_listing":"http:\/\/www.triathlon.org\/events\/event\/2015_hamburg_itu_triathlon_mixed_relay_world_championships",
         "event_api_listing":"https:\/\/api.triathlon.org\/v1\/v1\/events\/91030"
      },
      "meta":null,
      "entries":[
         {
            "team_id":11448,
            "team_title":"Team I Great Britain",
            "team_slug":"team_i_great_britain",
            "team_country_id":292,
            "team_profile_image":null,
            "team_noc":"GBR",
            "team_country_name":"Great Britain",
            "team_country_isoa2":"GB",
            "team_listing":"http:\/\/www.triathlon.org\/athletes\/profile\/11448\/team_i_great_britain",
            "team_flag":"https:\/\/f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com\/images\/icons\/gb.png",
            "team_api_listing":"https:\/\/api.triathlon.org\/v1\/v1\/athletes\/11448",
            "team_members":[
               {
                  "athlete_id":7795,
                  "athlete_title":"Vicky Holland",
                  "athlete_slug":"vicky_holland",
                  "athlete_first":"Vicky",
                  "athlete_last":"Holland",
                  "athlete_country_id":292,
                  "athlete_gender":"female",
                  "athlete_yob":"1986",
                  "validated":false,
                  "athlete_profile_image":"http:\/\/www.triathlon.org\/images\/athlete_thumbs\/holland_vicky.jpg",
                  "athlete_noc":"GBR",
                  "athlete_country_name":"Great Britain",
                  "athlete_country_isoa2":"GB",
                  "athlete_listing":"http:\/\/www.triathlon.org\/athletes\/profile\/7795\/vicky_holland",
                  "athlete_flag":"https:\/\/f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com\/images\/icons\/gb.png",
                  "athlete_api_listing":"https:\/\/api.triathlon.org\/v1\/v1\/athletes\/7795",
                  "athlete_categories":[
                     42
                  ]
               }
            ],
            "entry_id":369743,
            "program_id":271507,
            "approved":true,
            "start_num":1
         }
      ]
   }
}
🚧

Team members and orders do not have to be specified until 60 mins before the race start

Due to the rules accompanying team entries finalised start lists including all team members are only available 60 mins before the race start.

Path Params
int32
required

The unique id of the event

int32
required

The unique id of the program

Query Params
string
Defaults to start

Output either a startlist or a waitlist (start or wait)

string

A pipe delimited list of entry_ids to restrict the results

string

A pipe delimited list of athlete country_ids to restrict the results

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json